import { BasicColumn, FormSchema } from '@/components/Table';


export const columns: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'name',
    width: 120,
  },
  {
    title: '规则描述',
    dataIndex: 'ruleDescription',
    width: 120,
    sorter: true,
  },
  {
    title: '规则类型',
    dataIndex: 'ruleType',
    width: 120,
    sorter: true,
  },
  {
    title: '规则处置',
    dataIndex: 'ruleHandling',
    width: 120,
    sorter: true,
  },
  {
    title: '创建时间',
    dataIndex: 'creationTime',
    width: 120,
    sorter: true,
  },
  {
    title: '更新时间',
    dataIndex: 'updateTime',
    width: 120,
    sorter: true,
  },
  {
    title: '拥有者',
    dataIndex: 'owner',
    width: 150,
  },

];




export const searchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: ' ',
    component: 'Input',
    colProps: { span: 8 },
    componentProps: {
      placeholder: '输入关键字搜索',
    },
  },

];

